Arch Remove/sv: Difference between revisions

From FreeCAD Documentation
(Created page with "Category:Arch/sv")
No edit summary
(16 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{GuiCommand/sv|Name=Arch Remove|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Remove|SeeAlso=[[Arch Add/sv]]}}
{{docnav/sv|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Workbench|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}
</div>

<div class="mw-translate-fuzzy">
{{GuiCommand/sv
|Name=Arch Remove
|Name/sv=Arch Remove
|MenuLocation=Arch → Remove
|Workbenches=[[Arch_Workbench/sv|Arch]]
|SeeAlso=[[Arch Add/sv]]
}}
</div>


====Beskrivning====
====Beskrivning====


<div class="mw-translate-fuzzy">
Remove verktyget låter dig göra 2 sorters operationer:
Remove verktyget låter dig göra 2 sorters operationer:
* Ta bort en delkomponent från ett Arch objekt, till exempel ta bort en låda som har adderats till en vägg, som i [[Arch Add/sv|Arch Add]] exemplet
* Ta bort en delkomponent från ett Arch objekt, till exempel ta bort en låda som har adderats till en vägg, som i [[Arch Add/sv|Arch Add]] exemplet
* Subtrahera en [[Part Module/sv|form]]baserat objekt från en Arch komponent som en [[Arch Wall/sv|vägg]] eller [[Arch Structure/sv|struktur]]
* Subtrahera en [[Part_Workbench/sv|form]]baserat objekt från en Arch komponent som en [[Arch Wall/sv|vägg]] eller [[Arch Structure/sv|struktur]]
</div>


The counterpart of this tool is the {{Button|[[Image:Arch_Add.svg|16px]] [[Arch_Add|Arch Add]]}} tool.
[[Image:Arch Remove example.jpg|600px]]


[[Image:Arch Remove example.jpg|600px]]
<div class="mw-translate-fuzzy">
''I bilden ovan, så subtraheras en låda från en vägg''
''I bilden ovan, så subtraheras en låda från en vägg''
</div>


<div class="mw-translate-fuzzy">
====Bruk====
====Bruk====
</div>


<div class="mw-translate-fuzzy">
# Välj en delkomponent inuti ett Arch objekt, '''eller''':
# Välj en delkomponent inuti ett Arch objekt, '''eller''':
# välj de objekt som ska subtraheras, och sedan den Arch komponent från vilken de ska subtraheras (arch komponenten måste vara den sista saken du väljer)
# välj de objekt som ska subtraheras, och sedan den Arch komponent från vilken de ska subtraheras (arch komponenten måste vara den sista saken du väljer)
# Klicka på [[Image:Arch Remove.png|16px]] '''ta bort''' knappen
# Klicka på [[Image:Arch Remove.png|16px]] '''ta bort''' knappen
</div>

Or
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# Press the {{Button|[[Image:Arch_Remove.svg|16px]]}} button, or {{KEY|Arch}} → {{KEY|[[Image:Arch_Remove.svg|16px]] [[Arch_Remove|Remove]]}} from the top menu.


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

The Remove tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
removeComponents(objectsList, host=None)
}}

* Removes the given objects in {{incode|objectsList}} from their parents.
* If a {{incode|host}} object is specified, this function will try adding the objects in {{incode|objectsList}} as holes to the {{incode|host}}.


The Remove tool can by used in [[macros]] and from the python console by using the following function:
'''removeComponents (objectsList,[hostObject])'''
* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.
Example:
Example:
{{Code|code=
{{Code|code=
import FreeCAD, Arch, Draft, Part
import FreeCAD, Draft, Arch

line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
wall = Arch.makeWall(line)
Wall = Arch.makeWall(Line, width=150, height=3000)
box = Part.makeBox(1,1,1)

Arch.addComponents(box,wall)
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Arch.removeComponents(box)
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
}}
}}
<div class="mw-translate-fuzzy">
{{docnav/sv|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Workbench|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}
</div>

{{Arch Tools navi{{#translation:}}}}


{{Userdocnavi{{#translation:}}}}
[[Category:Arch/sv]]

Revision as of 21:54, 29 August 2021

Arch Remove

Menyplacering
Arch → Remove
Arbetsbänkar
Arch
Standard genväg
Ingen
Introducerad i version
-
Se även
Arch Add/sv

Beskrivning

Remove verktyget låter dig göra 2 sorters operationer:

  • Ta bort en delkomponent från ett Arch objekt, till exempel ta bort en låda som har adderats till en vägg, som i Arch Add exemplet
  • Subtrahera en formbaserat objekt från en Arch komponent som en vägg eller struktur

The counterpart of this tool is the Arch Add tool.

I bilden ovan, så subtraheras en låda från en vägg

Bruk

  1. Välj en delkomponent inuti ett Arch objekt, eller:
  2. välj de objekt som ska subtraheras, och sedan den Arch komponent från vilken de ska subtraheras (arch komponenten måste vara den sista saken du väljer)
  3. Klicka på ta bort knappen

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the button, or Arch Remove from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Remove tool can be used in macros and from the Python console by using the following function:

removeComponents(objectsList, host=None)
  • Removes the given objects in objectsList from their parents.
  • If a host object is specified, this function will try adding the objects in objectsList as holes to the host.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()